Package org.opensaml.storage.impl.client

# Enum Class ClientStorageService.ClientStorageSource

java.lang.Object
java.lang.Enum<ClientStorageService.ClientStorageSource>
org.opensaml.storage.impl.client.ClientStorageService.ClientStorageSource

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientStorageService.ClientStorageSource>`, `Constable`

Enclosing class:
  ClientStorageService

public static enum ClientStorageService.ClientStorageSource extends Enum<ClientStorageService.ClientStorageSource>
Enumeration of possible sources for the data.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COOKIE`
Source was a cookie.
`HTML_LOCAL_STORAGE`
Source was HTML Local Storage.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ClientStorageSource()`

## Method Summary

Modifier and Type
Method
Description
`static ClientStorageService.ClientStorageSource`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientStorageService.ClientStorageSource[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COOKIE

public static final ClientStorageService.ClientStorageSource COOKIE
Source was a cookie.

### HTML_LOCAL_STORAGE

public static final ClientStorageService.ClientStorageSource HTML_LOCAL_STORAGE
Source was HTML Local Storage.

## Constructor Details

### ClientStorageSource

private ClientStorageSource()

## Method Details

### values

public static ClientStorageService.ClientStorageSource[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ClientStorageService.ClientStorageSource valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null